PROUTES3(1)

NAME
proutes3 - Python 3 Pyramid command

DESCRIPTION
usage: proutes3 [-h] [-g GLOB] [-f FORMAT] [config_uri] [config_vars ...]

Print all URL dispatch routes used by a Pyramid application in the order in which they are evaluated. Each route includes the name of the route, the pattern of the route, and the view callable which will be invoked when the route is matched.

This command accepts one positional argument named 'config_uri'. It specifies the PasteDeploy config file to use for the interactive shell. The format is 'inifile#name'. If the name is left off, 'main' will be assumed. Example: 'proutes myapp.ini'.

  positional arguments:

config_uri
    The URI to the configuration file.

config_vars
    Variables required by the config file. For example, `http_port=%(http_port)s` would expect `http_port=8080` to be passed here.

  options:

-h, --help
    show this help message and exit

-g, --glob GLOB
    Display routes matching glob pattern

-f, --format FORMAT
    Choose which columns to display, this will override the format key in the [proutes] ini section